# Class TSparkGetDirectResults

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TSparkGetDirectResults

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkGetDirectResults>`, `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkGetDirectResults extends Object implements org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>, Serializable, Cloneable, Comparable<TSparkGetDirectResults>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkGetDirectResults._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`maxBytes`
`long`
`maxRows`
`static final Map<TSparkGetDirectResults._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

## Constructor Summary

Constructors
Constructor
Description
`TSparkGetDirectResults()`
`TSparkGetDirectResults(long maxRows)`
`TSparkGetDirectResults(TSparkGetDirectResults other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TSparkGetDirectResults other)`
`TSparkGetDirectResults`
`deepCopy()`
`boolean`
`equals(TSparkGetDirectResults that)`
`boolean`
`equals(Object that)`
`TSparkGetDirectResults._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TSparkGetDirectResults._Fields field)`
`long`
`getMaxBytes()`
`long`
`getMaxRows()`
`int`
`hashCode()`
`boolean`
`isSet(TSparkGetDirectResults._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetMaxBytes()`
Returns true if field maxBytes is set (has been assigned a value) and false otherwise
`boolean`
`isSetMaxRows()`
Returns true if field maxRows is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TSparkGetDirectResults._Fields field, Object value)`
`TSparkGetDirectResults`
`setMaxBytes(long maxBytes)`
`void`
`setMaxBytesIsSet(boolean value)`
`TSparkGetDirectResults`
`setMaxRows(long maxRows)`
`void`
`setMaxRowsIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetMaxBytes()`
`void`
`unsetMaxRows()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### maxRows

public long maxRows

### maxBytes

public long maxBytes

### metaDataMap

public static final Map<TSparkGetDirectResults._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkGetDirectResults

public TSparkGetDirectResults()

### TSparkGetDirectResults

public TSparkGetDirectResults(long maxRows)

### TSparkGetDirectResults

public TSparkGetDirectResults(TSparkGetDirectResults other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TSparkGetDirectResults deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### getMaxRows

public long getMaxRows()

### setMaxRows

public TSparkGetDirectResults setMaxRows(long maxRows)

### unsetMaxRows

public void unsetMaxRows()

### isSetMaxRows

public boolean isSetMaxRows()
Returns true if field maxRows is set (has been assigned a value) and false otherwise

### setMaxRowsIsSet

public void setMaxRowsIsSet(boolean value)

### getMaxBytes

public long getMaxBytes()

### setMaxBytes

public TSparkGetDirectResults setMaxBytes(long maxBytes)

### unsetMaxBytes

public void unsetMaxBytes()

### isSetMaxBytes

public boolean isSetMaxBytes()
Returns true if field maxBytes is set (has been assigned a value) and false otherwise

### setMaxBytesIsSet

public void setMaxBytesIsSet(boolean value)

### setFieldValue

public void setFieldValue(TSparkGetDirectResults._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### getFieldValue

public Object getFieldValue(TSparkGetDirectResults._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### isSet

public boolean isSet(TSparkGetDirectResults._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkGetDirectResults that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TSparkGetDirectResults other)

Specified by:
  `compareTo` in interface `Comparable<TSparkGetDirectResults>`

### fieldForId

public TSparkGetDirectResults._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkGetDirectResults,TSparkGetDirectResults._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`